Name:        hunspell-es
Version:     2.6
Release:     1
Summary:     Hunspell dictionaries for Spanish
License:     LGPLv3+ or GPLv3+ or MPLv1.1
URL:         https://github.com/sbosio/rla-es/
Epoch:       1
Source0:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_AR.oxt
Source1:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_BO.oxt
Source2:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_CL.oxt
Source3:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_CO.oxt
Source4:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_CR.oxt
Source5:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_CU.oxt
Source6:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_DO.oxt
Source7:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_EC.oxt
Source8:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_ES.oxt
Source9:     https://github.com/sbosio/rla-es/releases/download/v%{version}/es_GT.oxt
Source10:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_HN.oxt
Source11:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_MX.oxt
Source12:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_NI.oxt
Source13:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_PA.oxt
Source14:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_PE.oxt
Source15:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_PR.oxt
Source16:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_PY.oxt
Source17:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_SV.oxt
Source18:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_UY.oxt
Source19:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_US.oxt
Source20:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_VE.oxt
Source21:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_GQ.oxt
Source22:    https://github.com/sbosio/rla-es/releases/download/v%{version}/es_US.oxt

BuildArch:   noarch

Requires:    hunspell
Requires:    hunspell-es-AR = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-BO = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-CL = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-CO = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-CR = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-CU = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-DO = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-EC = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-ES = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-GT = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-HN = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-MX = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-NI = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-PA = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-PE = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-PR = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-PY = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-SV = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-UY = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-US = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-VE = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-GQ = %{epoch}:%{version}-%{release}
Requires:    hunspell-es-PH = %{epoch}:%{version}-%{release}
Supplements: (hunspell and langpacks-es)

%description
Hunspell dictionaries for Spanish (Spain, Mexico, etc.).

%package        AR
Requires:       hunspell
Summary:        Hunspell dictionary for Argentine Spanish

%description    AR
Hunspell dictionary for Argentine Spanish.

%package        BO
Requires:       hunspell
Summary:        Hunspell dictionary for Bolivian Spanish

%description    BO
Hunspell dictionary for Bolivian Spanish.

%package        CL
Requires:       hunspell
Summary:        Hunspell dictionary for Chilean Spanish

%description    CL
Hunspell dictionary for Chilean Spanish.

%package        CO
Requires:       hunspell
Summary:        Hunspell dictionary for Colombian Spanish

%description    CO
Hunspell dictionary for Colombian Spanish.

%package        CR
Requires:       hunspell
Summary:        Hunspell dictionary for Costa Rican Spanish

%description    CR
Hunspell dictionary for Costa Rican Spanish.

%package        CU
Requires:       hunspell
Summary:        Hunspell dictionary for Cuban Spanish

%description    CU
Hunspell dictionary for Cuban Spanish.

%package        DO
Requires:       hunspell
Summary:        Hunspell dictionary for Dominican Spanish

%description    DO
Hunspell dictionary for Dominican Spanish.

%package        EC
Requires:       hunspell
Summary:        Hunspell dictionary for Ecuadorian Spanish

%description    EC
Hunspell dictionary for Ecuadorian Spanish.

%package        ES
Requires:       hunspell
Summary:        Hunspell dictionary for European Spanish

%description    ES
Hunspell dictionary for European Spanish.

%package        GT
Requires:       hunspell
Summary:        Hunspell dictionary for Guatemalan Spanish

%description    GT
Hunspell dictionary for Guatemalan Spanish.

%package        HN
Requires:       hunspell
Summary:        Hunspell dictionary for Honduran Spanish

%description    HN
Hunspell dictionary for Honduran Spanish.

%package        MX
Requires:       hunspell
Summary:        Hunspell dictionary for Mexican Spanish

%description    MX
Hunspell dictionary for Mexican Spanish.

%package        NI
Requires:       hunspell
Summary:        Hunspell dictionary for Nicaraguan Spanish

%description    NI
Hunspell dictionary for Nicaraguan Spanish.

%package        PA
Requires:       hunspell
Summary:        Hunspell dictionary for Panamanian Spanish

%description    PA
Hunspell dictionary for Panamanian Spanish.

%package        PE
Requires:       hunspell
Summary:        Hunspell dictionary for Peruvian Spanish

%description    PE
Hunspell dictionary for Peruvian Spanish.

%package        PR
Requires:       hunspell
Summary:        Hunspell dictionary for Puerto Rican Spanish

%description    PR
Hunspell dictionary for Puerto Rican Spanish.

%package        PY
Requires:       hunspell
Summary:        Hunspell dictionary for Paraguayan Spanish

%description    PY
Hunspell dictionary for Paraguayan Spanish.

%package        SV
Requires:       hunspell
Summary:        Hunspell dictionary for Salvadoran Spanish

%description    SV
Hunspell dictionary for Salvadoran Spanish.

%package        US
Requires:       hunspell
Summary:        Hunspell dictionary for US Spanish

%description    US
Hunspell dictionary for US Spanish.

%package        UY
Requires:       hunspell
Summary:        Hunspell dictionary for Uruguayan Spanish

%description    UY
Hunspell dictionary for Uruguayan Spanish.

%package        VE
Requires:       hunspell
Summary:        Hunspell dictionary for Venezuelan Spanish

%description    VE
Hunspell dictionary for Venezuelan Spanish.

%package        GQ
Requires:       hunspell
Summary:        Hunspell dictionary for GQ Spanish

%description    GQ
Hunspell dictionary for GQ Spanish

%package        PH
Requires:       hunspell
Summary:        Hunspell dictionary for US Spanish

%description    PH
Hunspell dictionary for US Spanish

%define es_REGIONS es_ES es_AR es_BO es_CL es_CO es_CR es_CU es_DO es_EC es_GT es_HN es_MX es_NI es_PA es_PE es_PR es_PY es_SV es_US es_UY es_VE es_GQ es_PH

%prep
%autosetup -c -n hunspell-es -p1

for REGION in %{es_REGIONS}; do
    unzip -q -o %{_sourcedir}/${REGION}.oxt
done

%build

%install
install -d %{buildroot}/%{_datadir}/myspell

for REGION in %{es_REGIONS}; do
    install -p $REGION.dic %{buildroot}/%{_datadir}/myspell/
    install -p $REGION.aff %{buildroot}/%{_datadir}/myspell/
done

%files

%files ES
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_ES.*


%files AR
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_AR.*


%files BO
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_BO.*


%files CL
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_CL.*


%files CO
%doc README.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_CO.*


%files CR
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_CR.*


%files CU
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_CU.*


%files DO
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_DO.*


%files EC
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_EC.*


%files GT
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_GT.*


%files HN
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_HN.*


%files MX
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_MX.*


%files NI
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_NI.*


%files PA
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_PA.*


%files PE
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_PE.*


%files PR
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_PR.*


%files PY
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_PY.*


%files SV
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_SV.*


%files US
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_US.*


%files UY
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_UY.*


%files VE
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_VE.*

%files GQ
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_GQ.*

%files PH
%doc README.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/myspell/es_PH.*

%changelog
* Thu Apr 13 2023 Ge Wang <wang--ge@126.com> - 1:2.6-1
- Update to version 2.6

* Thu Apr 16 2020 leiju <leiju4@huawei.com> - 1:2.3-4
- Package init
